.line {
    fill: none;
    stroke: var(--c-gold);
    stroke-width: 3px;
}
.axis text {
    font: 10px sans-serif;
}
.axis path,
.axis line {
    fill: none;
    stroke: #000;
    shape-rendering: crispEdges;
}
.grid line {
    stroke: lightgrey;
    stroke-opacity: 0.7;
    shape-rendering: crispEdges;
}
.button-container {
    margin: 20px 0;
}
.button-container button {
    margin-right: 5px;
    padding: 5px 10px;
    font-size: 16px;
    cursor: pointer;
    border-radius: var(--z-content-radius);
    border: 1px solid var(--c-gold);
}
.button-container button:hover {
    background-color: white;
    color: var(--c-gold);
}
/* Button selected state */
.button-container .selected {
    background-color: #d4af37; /* Gold color for selected button */
    color: white;
}

.tooltip {
    position: absolute;
    z-index:3000;
    text-align: center;
    padding: 5px;
    font: 12px sans-serif;
    background: var(--c-lightgrey);
    border: 0px;
    border-radius: 8px;
    pointer-events: none;
    border-radius: var(--z-content-radius-tight);
}
#chart svg {
    width: 100%;
    height: auto;
}
.annotationpoint,
.annotation-circle {
    fill: var(--c-darkgrey);
}
.datapoint {
    fill: var(--c-gold);
}

.chart--month-select {
    border-radius: var(--z-content-radius) var(--z-content-radius) 0 0;
    border: 1px var(--c-gold) solid;
    padding-left: 1rem;
}
.chart--latest-value {
    width: 100%; 
    background-color: var(--c-gold);
    text-align: left;
    padding: 0.5rem 1rem;
    border-radius: 0 0  var(--z-content-radius) var(--z-content-radius);
    color: var(--c-white);
    display: grid;
    grid-template-columns: 50% auto auto;
    margin-bottom: var(--s-wide-vh);
}
.chart--latest-value span:nth-child(2) {
    text-align: right;
}
.chart--latest-value span:nth-child(3) {
    text-align: center;
    font-weight: var(--f-weight-bold);
}


.value-tooltip, .date-tooltip, .annotation-tooltip {
    position: absolute;
    text-align: left;
    padding: 6px;
    font: 12px sans-serif;
    background: lightsteelblue;
    border: 1px solid #ccc;
    border-radius: 8px;
    pointer-events: none;
}

.annotation-tooltip {
    /* Optional styling specific to annotation tooltip */
    background: lightcoral;
}

.date-tooltip {
    /* Center text alignment for date tooltip */
    text-align: center;
}

/* Crosshair line styling */
.vertical-line {
    stroke: gray;
    stroke-width: 1px;
    stroke-dasharray: 3,3;
}

/* Button selected state */
.button-container .selected {
    background-color: var(--c-gold); /* Gold color for selected button */
    color: white;
}

/* Set SVG background color to white */
#chart svg {
    background-color: white;
}

/* Hover state and cursor for annotation circles */
.annotation-circle {
    transition: fill 0.2s;
}

.annotation-circle:hover {
    fill: darkred;
    stroke: black;
}

.date-tooltip,
.value-tooltip,
.annotation-tooltip {
    z-index: 1000;
    background-color: var(--c-lightgrey);
}


.tooltip {
    position: absolute;
    text-align: left;
    padding: 6px;
    font: 12px sans-serif;
    background: var(--c-lightgrey-light-4);
    border: 1px solid var(--c-gold);
    border-radius: 8px;
    pointer-events: none;
}

.tooltip::after {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border: 6px solid transparent;
}

.value-tooltip::after {
    top: 50%;
    transform: translateY(-50%);
}

.date-tooltip::after {
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
}
/*
.annotation-tooltip::after {
    bottom: 100%;
    transform: translateX(-50%);
}
*/
/*
.value-tooltip.left::after {
    right: -12px;
    border-left-color: var(--c-gold);
}

.value-tooltip.right::after {
    left: -12px;
    border-right-color: var(--c-gold);
}*/

.date-tooltip::after {
    bottom: 100%;
    border-bottom-color: var(--c-gold);
}
/*
.annotation-tooltip::after {
    top: 100%;
    border-top-color: lightcoral;
}

.annotation-tooltip {
    background: lightcoral;
}
*/
.date-tooltip {
    /* Center text alignment for date tooltip */
    text-align: center;
}

/* Crosshair line styling */
.vertical-line {
    stroke: gray;
    stroke-width: 1px;
    stroke-dasharray: 3,3;
}

/* Highlighted data point */
.focus-circle {
    fill: var(--c-gold);
    stroke: var(--c-white);
    stroke-width: 2px;
}


/* Set SVG background color to white */
#chart svg {
    background-color: white;
}

/* Hover state and cursor for annotation circles */
.annotation-circle {
    transition: fill 0.2s;
}

.annotation-circle:hover {
    fill: var(--c-gold);
    stroke: var(--c-white);
}




@media (max-width: 1024px) {
    .chart--month-select {
        padding-left: 0.4rem;
    }
    .chart--month-select div .t-btn--pill {
        padding: 0.4rem;
        margin: 0.2rem;
    }
    .chart--latest-value {
        font-size: var(--f-size--small);
    }

    .chart--latest-value span:nth-child(3) {
        text-align: right;
        font-weight: var(--f-weight-bold);
    }
}
